keycloak-scim/operator/scripts/check-crds-installed.sh
Andrea Peruffo 7816e69e38
Build the Olm bundle and test it in CI (#10949)
* Building the OLM bundle

* kustomize the main CRD for the OLM bundle

* minor fixes
2022-04-08 10:22:01 +02:00

19 lines
332 B
Bash
Executable file

#! /bin/bash
set -euxo pipefail
max_retries=240
c=0
while ! kubectl get keycloaks
do
echo "waiting for Keycloak CRD"
((c++)) && ((c==max_retries)) && exit -1
sleep 1
done
c=0
while ! kubectl get keycloakrealmimports
do
echo "waiting for Keycloak Realm Import CRD"
((c++)) && ((c==max_retries)) && exit -1
sleep 1
done